# recognizeFaceExpressions | @vladmandic/face-api - v1.7.8
Documentation for @vladmandic/face-api - v1.7.8

# Function recognizeFaceExpressions

- recognizeFaceExpressions(input: any): Promise< FaceExpressions | FaceExpressions []>

- Recognizes the facial expressions from a face image.

  ### Returns

  Facial expressions with corresponding probabilities or array thereof in case of batch input.

  #### Parameters

  - ##### input: any

  #### Returns Promise< FaceExpressions | FaceExpressions []>

  - Defined in globalApi/nets.ts:94